# 10. Mutatie: "RasterMap" asynchroon genereren

Genereer "RasterKaart" voor het "Veld" **asynchroon**.

{% hint style="info" %}
De asynchrone aanpak zet een taak (Genereer `genereerRasterAnalyseKaart`) om te verwerken en de Abonnement zal worden ontvangen zodra de verwerking is voltooid.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie GenereerRasterKaartAsync {
  genereerRasterAnalyseKaartAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<plaatsaanduiding_van_satellietbeeld_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/10.-mutatie-rastermap-asynchroon-genereren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
